Commit 1d0ad0ea authored by David Seaward's avatar David Seaward

clean up requirements, add models.png

parent e7a8c6ac
...@@ -32,6 +32,13 @@ Usage ...@@ -32,6 +32,13 @@ Usage
another way. another way.
* Manage user profile at <https://example.com/accounts/profile/> * Manage user profile at <https://example.com/accounts/profile/>
Models
------
![Database diagram generated by graph_models](models.png)
(Generated with `./manage.py graph_models --all-applications --group-models --verbose-name --output models.png`)
Sharing and contributions Sharing and contributions
------------------------- -------------------------
......
...@@ -39,7 +39,8 @@ ALLOWED_HOSTS = config("ALLOWED_HOSTS", cast=Csv()) ...@@ -39,7 +39,8 @@ ALLOWED_HOSTS = config("ALLOWED_HOSTS", cast=Csv())
# INSTALLED APPLICATIONS # INSTALLED APPLICATIONS
# #
INSTALLED_APPS += ["crispy_forms", "django_agpl", "django_celery_beat", "ldapregister", "limitmonitor", "purist"] INSTALLED_APPS += ["crispy_forms", "django_agpl", "django_celery_beat", "django_extensions", "ldapregister",
"limitmonitor", "purist"]
# #
# AGPL APPLICATION # AGPL APPLICATION
......
-r requirements.txt # Requirements for a development instance
-r documentation.txt -r requires/production.txt # functional requirements and dependencies
-r requires/documentation.txt # documentation requirements
# Dependencies of the core packages in production.txt
amqp==2.2.2 amqp==2.2.2
asn1crypto==0.23.0 asn1crypto==0.23.0
bcrypt==3.1.4 bcrypt==3.1.4
......
-r requirements.txt
-r documentation.txt
# Requirements for documentation building
alabaster==0.7.10 alabaster==0.7.10
Babel==2.5.1 Babel==2.5.1
certifi==2017.7.27.1 certifi==2017.7.27.1
......
-r dependencies.txt # Top-level requirements for a production instance
-r dependencies.txt # dependencies of these core packages
celery==4.1.0 celery==4.1.0
choicesenum==0.2.2
confusable_homoglyphs==2.0.2 confusable_homoglyphs==2.0.2
dj-database-url==0.4.2 dj-database-url==0.4.2
Django==1.11.6 Django==1.11.6
...@@ -7,6 +9,7 @@ django-agpl==4.0.0 ...@@ -7,6 +9,7 @@ django-agpl==4.0.0
django-auth-ldap==1.2.16 django-auth-ldap==1.2.16
django-celery-beat==1.0.1 django-celery-beat==1.0.1
django-crispy-forms==1.6.1 django-crispy-forms==1.6.1
django-extensions==1.9.8
django-ldapdb==0.9.0 django-ldapdb==0.9.0
django-registration==2.3 django-registration==2.3
Jinja2==2.9.6 Jinja2==2.9.6
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment